# Python 3 SDK for the KUSANAGI(tm) framework (http://kusanagi.io)
# Copyright (c) 2016-2023 KUSANAGI S.L. All rights reserved.
#
# Distributed under the MIT license.
#
# For the full copyright and license information, please view the LICENSE
# file that was distributed with this source code.
"""Domain-specific properties used in payloads."""

ACTION = 'a'
ADDRESS = 'a'
ARGUMENTS = 'a'
ATTRIBUTES = 'a'
AVAILABLE = 'a'
ACTIONS = 'ac'
ARRAY_FORMAT = 'af'
BASE_PATH = 'b'
BODY = 'b'
BUFFERS = 'b'
BUSY = 'b'
CACHED = 'c'
CALL = 'c'
CALLBACK = 'c'
CALLEE = 'c'
CLIENT = 'c'
CODE = 'c'
COLLECTION = 'c'
COMMAND = 'c'
COMMIT = 'c'
COMPONENT = 'c'
CONFIG = 'c'
COUNT = 'c'
CPU = 'c'
CALLER = 'C'
CALLS = 'C'
COMPLETE = 'C'
COMMAND_REPLY = 'cr'
DATA = 'd'
DATETIME = 'd'
DEFAULT_VALUE = 'd'
DISK = 'd'
PATH_DELIMITER = 'd'
DEFERRED_CALLS = 'dc'
DEPRECATED = 'D'
DURATION = 'D'
ALLOW_EMPTY = 'e'
END_TIME = 'e'
ENTITY_PATH = 'e'
ERRORS = 'e'
ENTITY = 'E'
ERROR = 'E'
ENUM = 'em'
EXCLUSIVE_MIN = 'en'
EXCLUSIVE_MAX = 'ex'
FAMILY = 'f'
FIELD = 'f'
FILENAME = 'f'
FILES = 'f'
FORMAT = 'f'
FREE = 'f'
FALLBACK = 'F'
FALLBACKS = 'F'
FIELDS = 'F'
GATEWAY = 'g'
HEADER = 'h'
HEADERS = 'h'
HTTP = 'h'
HTTP_BODY = 'hb'
HTTP_INPUT = 'hi'
HTTP_METHOD = 'hm'
HTTP_SECURITY = 'hs'
ID = 'i'
IDLE = 'i'
IN = 'i'
INPUT = 'i'
INTERVAL = 'i'
ITEMS = 'i'
PRIMARY_KEY = 'k'
LADDR = 'l'
LEVEL = 'l'
LINKS = 'l'
MEMORY = 'm'
MESSAGE = 'm'
META = 'm'
METHOD = 'm'
MIME = 'm'
MIN = 'mn'
MULTIPLE_OF = 'mo'
MAX = 'mx'
NAME = 'n'
NETWORK = 'n'
MIN_ITEMS = 'ni'
MIN_LENGTH = 'nl'
OPTIONAL = 'o'
ORIGIN = 'o'
OUT = 'o'
PARAM = 'p'
PARAMS = 'p'
PATH = 'p'
PATTERN = 'p'
PERCENT = 'p'
PID = 'p'
POST_DATA = 'p'
PROPERTIES = 'p'
PROTOCOL = 'p'
QUERY = 'q'
RADDR = 'r'
READS = 'r'
REQUEST = 'r'
REQUIRED = 'r'
RELATIONS = 'r'
RESULT = 'r'
ROLLBACK = 'r'
REMOTE_CALLS = 'rc'
RETURN = 'rv'
RESPONSE = 'R'
SCHEMA = 's'
SCHEMES = 's'
SCOPE = 's'
SERVICE = 's'
SHARED = 's'
SIZE = 's'
START_TIME = 's'
STATUS = 's'
SWAP = 's'
SYSTEM = 's'
TAGS = 't'
TERMINATE = 't'
TOKEN = 't'
TOTAL = 't'
TRANSACTIONS = 't'
TYPE = 't'
TRANSPORT = 'T'
URL = 'u'
USED = 'u'
USER = 'u'
UNIQUE_ITEMS = 'ui'
VALUE = 'v'
VERSION = 'v'
VALIDATE = 'V'
IOWAIT = 'w'
WRITES = 'w'
TIMEOUT = 'x'
MAX_ITEMS = 'xi'
MAX_LENGTH = 'xl'
